CreateBudgetAlert
Create a burn-rate alert configuration for an SLO objective.
POST
/api/v1/slo/objectives/{sloId}/budget-alertsOperation ID
CreateBudgetAlertSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
sloIdStringRequiredIdentifier of the SLO objective to attach the alert to.
Body Fields
configObjectRequiredAlert configuration to create for the specified SLO objective.
idStringUnique identifier of the budget alert configuration.
Example: alert-cfg-001
sloIdStringIdentifier of the SLO objective this alert is associated with.
Example: slo-xyz789
consumedPctThresholdLongConsumption percentage threshold that triggers the alert.
Example: 80
severityStringSeverity level of the alert: warning | critical.
Example: warning
notificationChannelsListList of notification channel identifiers to alert.
Example: item1,item2
